Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008581opensim[REGION] OpenSim Corepublic2019-08-23 13:302019-09-04 04:26
Reporteraiaustin 
Assigned Tomelanie 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0008581: Change in Console strings - some log messages not instantiated?
DescriptionSince updating to latest dev master (2019-08-21) on Windows 10 I see log lines like these in the OpenSim.exe console...

INITIALIZATION COMPLETE FOR {0} - LOGINS ENABLED

Completed check with {0} assets.

Where the {0} should be the region name or the number of assets. I assume this is a glitch after the "massive console refactor"?
TagsNo tags attached.
Git Revision or version numberDev master 2019-08-21
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0035600)
melanie (administrator)
2019-08-23 14:53

Yes it would be. I'll check
(0035666)
aiaustin (developer)
2019-09-03 07:55

Another message that is not instantiated Melanie.. in latest dev master as at 2019-09-03... could be a change that Ubit just made that does not use the form you now expect?

2019-09-03 15:47:53,908 WARN <log4net.Error>Exception during StringFormat: Input string was not in a correct format. <format>[Warp3D]: Failed to decode texture {0} for prim {1} at {2}, exception {3] </format><args>{2c73e9a4-ef4d-4181-8984-d7604ed6fa81, ID2, <106.0175, 137.9787, 36.78795>, System.ApplicationException: EOF reached before finding Contiguous Codestream Box
(0035671)
aiaustin (developer)
2019-09-04 00:08

Fixed by Ubit in changes he made in last few days.
(0035673)
melanie (administrator)
2019-09-04 04:08

Actually I fixed it in 584df2ab38c35b31e1a279f1992f7032d256ceb5
(0035674)
UbitUmarov (administrator)
2019-09-04 04:26

Actually that last one you didn't, i did :p
exception {3] <-- ( my own typo )

- Issue History
Date Modified Username Field Change
2019-08-23 13:30 aiaustin New Issue
2019-08-23 13:30 aiaustin Status new => assigned
2019-08-23 13:30 aiaustin Assigned To => melanie
2019-08-23 13:35 aiaustin Description Updated View Revisions
2019-08-23 13:35 aiaustin Description Updated View Revisions
2019-08-23 14:53 melanie Note Added: 0035600
2019-08-25 15:07 melanie Status assigned => resolved
2019-08-25 15:07 melanie Resolution open => fixed
2019-09-03 07:55 aiaustin Note Added: 0035666
2019-09-03 07:55 aiaustin Status resolved => feedback
2019-09-03 07:55 aiaustin Resolution fixed => reopened
2019-09-04 00:08 aiaustin Note Added: 0035671
2019-09-04 00:08 aiaustin Status feedback => assigned
2019-09-04 00:08 aiaustin Status assigned => closed
2019-09-04 00:08 aiaustin Resolution reopened => fixed
2019-09-04 00:08 aiaustin Fixed in Version => master (dev code)
2019-09-04 04:08 melanie Note Added: 0035673
2019-09-04 04:26 UbitUmarov Note Added: 0035674


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker